"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var code_frame_error_exports = {};
__export(code_frame_error_exports, {
  default: () => CodeFrameError
});
module.exports = __toCommonJS(code_frame_error_exports);
var import_code_frame = require("@babel/code-frame");
class CodeFrameError extends Error {
  constructor(message, file) {
    super(message);
    this.file = file;
    Object.setPrototypeOf(this, CodeFrameError.prototype);
  }
  toString(options) {
    const { name, rawLines, location } = this.file;
    return [
      `CodeFrameError: ${this.message}`,
      "",
      name ? `${name}:${location.start.line}${location.start.column ? `:${location.start.column}` : ""}` : void 0,
      (0, import_code_frame.codeFrameColumns)(rawLines, location, options),
      ""
    ].filter((l) => l !== void 0).join("\n");
  }
}
