import { codeFrameColumns } from "@babel/code-frame";
class CodeFrameError extends Error {
  constructor(message, file) {
    super(message);
    this.file = file;
    Object.setPrototypeOf(this, CodeFrameError.prototype);
  }
  toString(options) {
    const { name, rawLines, location } = this.file;
    return [
      `CodeFrameError: ${this.message}`,
      "",
      name ? `${name}:${location.start.line}${location.start.column ? `:${location.start.column}` : ""}` : void 0,
      codeFrameColumns(rawLines, location, options),
      ""
    ].filter((l) => l !== void 0).join("\n");
  }
}
export {
  CodeFrameError as default
};
